RAISE(3)

NAME
raise - send a signal to the current process

LIBRARY
libc

SYNOPSIS
#include <signal.h>
int
raise(int sig);

DESCRIPTION
The raise() function sends the signal sig to the current process.

RETURN VALUES
Upon successful completion, a value of 0 is returned. Otherwise, a value of -1 is returned and the global variable errno is set to indicate the error.

ERRORS
The raise() function may fail and set errno for any of the errors specified for the library functions getpid(2) and kill(2).

SEE ALSO
kill(2)

STANDARDS
The raise() function conforms to ansiC.